> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withsutro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset a Member password by email with a reset token



## OpenAPI

````yaml /uapi.yaml post /members/password-reset
openapi: 3.1.0
info:
  version: 0.0.1
  title: User management API
  description: This API is for managing organization members and builders for the Sutro API
servers: []
security: []
tags:
  - name: configuration
    description: Configuration of the platform for your members and builders
  - name: members
    description: >-
      Members are the individuals that a Customer wants to provide with access
      to the Sutro Console
  - name: builders
    description: >-
      Builders are a Customer's users; they are the ones who are building apps
      with a Customer's platform
  - name: certificates
    description: >-
      Certificates are use for signing & verifying access tokens, as well as for
      securing mTLS connections
  - name: api_clients
    description: API Clients must be registered and associated with an mTLS certificate
paths:
  /members/password-reset:
    post:
      tags:
        - members
      summary: Reset a Member password by email with a reset token
      operationId: resetPasswordByEmail
      requestBody:
        $ref: '#/components/requestBodies/ChangePassword'
      responses:
        '200':
          description: Outcome
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
components:
  requestBodies:
    ChangePassword:
      content:
        application/json:
          schema:
            type: object
            required:
              - newPassword
              - resetToken
            properties:
              newPassword:
                type: string
              resetToken:
                type: string
              emailAddress:
                type: string
                format: email

````